package nrs.jcards;

/*
 * This file is part of JCards.
 * JCards is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * JCards is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JCards; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/**
 * Object used to store information about changes to a Card
 *
 * @author Copyright (C) 2002,2003 Nick Sydenham &lt;nsydenham@yahoo.co.uk&gt;
 */
public class CardUpdate
{
	/** Card operation as defined in Cards */
	public int cardOperation = -1;
	/** The index of the Card being altered */
	public int cardIndex = -1;
	
	/** Creates a new instance of CardUpdate. cardIndex will set to -1.
	 * @param cardOp card operation
	 */
	public CardUpdate(int cardOp)
	{
		cardOperation = cardOp;
	}
	
	/** Creates a new instance of CardUpdate
	 * @param cardOp card operation
	 * @param cardIndex index of the card that changed
	 */
	public CardUpdate(int cardOp, int cardIndex)
	{
		cardOperation = cardOp;
		this.cardIndex = cardIndex;
	}
}
