package nrs.jcards;

import java.awt.*;
import java.util.*;

/*
 * This file is part of JCards.
 * JCards is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * JCards is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JCards; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/**
 * A list that is aware of changes to the underlying data structure.
 *
 * @author Copyright &#169; 2002-2004 Nick Sydenham &lt;nsydenham@yahoo.co.uk&gt;
 */
public class FieldsList extends java.awt.List implements Observer
{
	private JCards jcards = null;
	
	public FieldsList(JCards jcards)
	{
		super();
		
		this.jcards = jcards;
		
		// initialise items
		update(null, null);
	}
	
	/**
	 * The underlying data structure has changed
	 */
	public void update(Observable o, Object arg)
	{
		FieldDef fd;
		
		String command = (String)arg;
		if (command == null || command.indexOf("Field") > -1)
		{
			removeAll();
			
			DBDef def = DBDef.getInstance();
			for (int i=0; i<def.getNumberOfFields(); i++)
			{
				fd = def.getFieldDef(i);
				if (fd.isMandatory()) add(fd.getName()+"*");
				else add(fd.getName());
			}
		}
	}
}
